E-Arogya - Bug #88

Feature # 65 (New): Security Audit

[Security Audit ] 23- Email addresses disclosed
17/04/2024 04:06 PM - Kalyan Battula

Status: Closed Start date: 17/04/2024
Priority: Low Due date:

Assignee: Uma Maheswarachari Melpati % Done: 0%
Category: Estimated time: 0:00 hour
Target version: Security Audit Spent time: 0:00 hour
Deployed In: Category:

Description

23 -Email addresses disclosed

CWE : CWE-200

Description :

email addresses of developers and other individuals (whether appearing on-screen or
hidden within page source) may disclose information that is useful to an attacker; for
example, they may represent usernames that can be used at the application's login, and
they may be used in social engineering attacks against the organization's personnel.
Affected Path(s) :

https://earogya.satragroup.in/privacy-policy *-Applicable to entire application

Impact :

Unnecessary or excessive disclosure of email addresses may lead to social engineering
attacks and increase in the volume of spam email received.

Recommendation :

1. Consider removing any email addresses that are unnecessary, or replacing
personal addresses with anonymous mailbox addresses (such as
helpdesk@example.com).

2. Obfuscate the email addresses in such as way that emailaddress@something.in
displayed as emailaddress[at]something[dot]com.

3. To reduce the quantity of spam sent to anonymous mailbox addresses, consider
hiding the email address and instead providing a form that generates the email
server-side, protected by a CAPTCHA if necessary.

Evidence/Proof Of Concept :

Step 1: Email addresses disclosed as shown in below screenshot.
clipboard-202404171606-3c4ii.png

History

#1 - 23/04/2024 02:08 AM - Deepika Valluri
- Status changed from New to In Progress

- Assignee set to Deepika Valluri

#2 - 23/04/2024 11:11 PM - Uma Maheswarachari Melpati

- Assignee changed from Deepika Valluri to Uma Maheswarachari Melpati

#3 - 23/04/2024 11:15 PM - Uma Maheswarachari Melpati

- Status changed from In Progress to Resolved

#4 - 03/05/2024 05:24 AM - Sivakanth Kesiraju
- Target version set to Sprint 1 (29th April - 3rd May)

#5 - 03/05/2024 05:28 AM - Sivakanth Kesiraju
- Target version changed from Sprint 1 (29th April - 3rd May) to Security Audit

#6 - 30/09/2024 05:15 PM - Gautam Kumar

- Status changed from Resolved to Closed

20/04/2025

1/2



https://earogya.satragroup.in/privacy-policy
mailto:helpdesk@example.com
mailto:emailaddress@something.in

Files

clipboard-202404171606-3c4ii.png 129 KB 17/04/2024 Kalyan Battula

20/04/2025 22


http://www.tcpdf.org

